<?php
	// aggiungi gli header alla risposta che comunichino il tipo
   header('Content-Type: text/json');
	
    // includi file necessari per accesso DB e debug
   require_once('config.php');
	
   // apri connessione al database
   $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_DATABASE); 

   // formula la query
   $query = 'SELECT book_id, book_title FROM books'; 
	
   // esegui la query
   $result = $mysqli->query($query); 
	
   // crea un array per contenere l’elenco di libri
   $books = array();	
   
	// scorri il risultato
	while ($row = $result->fetch_array(MYSQLI_ASSOC)) {
		
		// estari id e titolo
		$book_id = $row['book_id'];
		$book_title = $row['book_title'];
       
		// crea un array associativo per ogni record e mettilo nel contenitore
		$book = array('title' => $book_title,'id' =>$book_id);
		array_push($books, $book);
     }
	
     // crea un nuovo contenitore per definire la chiave principale
     $response = array('books' => $books);

     // converti a JSON
     echo json_encode($response);	
   
     // chiudi l’input stream
     $result->close();

     // chiudi la connessione al DB
     $mysqli->close();
   
?>